> ## Documentation Index
> Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Queue Metrics



## OpenAPI

````yaml GET /v1/worker-machines/queue-metrics
openapi: 3.1.0
info:
  title: Activepieces Documentation
  version: 0.0.0
servers:
  - url: https://cloud.activepieces.com/api
    description: Production Server
security: []
externalDocs:
  url: https://www.activepieces.com/docs
  description: Find more info here
paths:
  /v1/worker-machines/queue-metrics:
    get:
      tags:
        - worker-machines
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  queues:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        waiting:
                          type: number
                        active:
                          type: number
                      required:
                        - name
                        - waiting
                        - active
                      additionalProperties: false
                required:
                  - queues
                additionalProperties: false

````